[![Maven Central](https://maven-badges.herokuapp.com/maven-central/io.xpipe/xpipe-api/badge.svg)](https://maven-badges.herokuapp.com/maven-central/io.xpipe/xpipe-api)
[![javadoc](https://javadoc.io/badge2/io.xpipe/xpipe-api/javadoc.svg)](https://javadoc.io/doc/io.xpipe/xpipe-api)

## XPipe Java API

The XPipe API for Java allows you to use most of the XPipe functionality from Java applications:

- Create data stores and data sources
- Query and work with the contents of data sources
- Write data to data sources

## Setup

Either install the [maven dependency](https://maven-badges.herokuapp.com/maven-central/io.xpipe/xpipe-api) from Maven Central
using your favourite build tool or alternatively download the `xpipe-api.jar`, `xpipe-core.jar`, and `xpipe-beacon.jar`
from the [releases page](https://github.com/xpipe-io/xpipe/releases/latest) and add them to the classpath.

## Usage

See [the API documentation](https://xpipe-io.readthedocs.io/en/latest/dev/api/java/index.html).